package com.yihu.jw.restmodel.hospital.prescription;

import com.yihu.jw.restmodel.UuidIdentityVOWithOperator;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;


/**
 * 
 * 处方审核记录表vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2019年05月16日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "WlyyPrescriptionReviewedVO", description = "处方审核记录表")
public class WlyyPrescriptionReviewedVO extends UuidIdentityVOWithOperator {

    /**
	 * 
	 */
	@ApiModelProperty(value = "", example = "模块1")
    private String saasId;

    /**
	 * 处方id
	 */
	@ApiModelProperty(value = "处方id", example = "模块1")
    private String prescriptionId;

    /**
	 * 审核医院
	 */
	@ApiModelProperty(value = "审核医院", example = "模块1")
    private String hospital;

    /**
	 * 审核医院名称
	 */
	@ApiModelProperty(value = "审核医院名称", example = "模块1")
    private String hospitalName;

    /**
	 * 审核科室
	 */
	@ApiModelProperty(value = "审核科室", example = "模块1")
    private String dept;

    /**
	 * 审核科室名称
	 */
	@ApiModelProperty(value = "审核科室名称", example = "模块1")
    private String deptName;

    /**
	 * 审核医生
	 */
	@ApiModelProperty(value = "审核医生", example = "模块1")
    private String doctor;

    /**
	 * 审核医生
	 */
	@ApiModelProperty(value = "审核医生", example = "模块1")
    private String doctorName;

    /**
	 * 审核原因
	 */
	@ApiModelProperty(value = "审核原因", example = "模块1")
    private String reason;

    /**
	 * 处方创建时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "处方创建时间", example = "模块1")
    private Date createTime;

    /**
	 * 1审核通过1 0待审核  -1  审核不通过   -2无效审核
	 */
	@ApiModelProperty(value = "1审核通过1 0待审核  -1  审核不通过   -2无效审核", example = "模块1")
    private Integer status;

    /**
	 * 备注
	 */
	@ApiModelProperty(value = "备注", example = "模块1")
    private String remark;

    /**
	 * 审核时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "审核时间", example = "模块1")
    private Date reviewedTime;


    public String getSaasId() {
        return saasId;
    }
    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getPrescriptionId() {
        return prescriptionId;
    }
    public void setPrescriptionId(String prescriptionId) {
        this.prescriptionId = prescriptionId;
    }

    public String getHospital() {
        return hospital;
    }
    public void setHospital(String hospital) {
        this.hospital = hospital;
    }

    public String getHospitalName() {
        return hospitalName;
    }
    public void setHospitalName(String hospitalName) {
        this.hospitalName = hospitalName;
    }

    public String getDept() {
        return dept;
    }
    public void setDept(String dept) {
        this.dept = dept;
    }

    public String getDeptName() {
        return deptName;
    }
    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDoctor() {
        return doctor;
    }
    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }
    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getReason() {
        return reason;
    }
    public void setReason(String reason) {
        this.reason = reason;
    }

    public Date getCreateTime() {
        return createTime;
    }
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getStatus() {
        return status;
    }
    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getReviewedTime() {
        return reviewedTime;
    }
    public void setReviewedTime(Date reviewedTime) {
        this.reviewedTime = reviewedTime;
    }


}